#pragma once

#include "CoreMinimal.h"
#include "EPerkRandomSuccessType.h"
#include "EPerkRandomSuccessResult.h"
#include "PerkRandomSuccessViewData.generated.h"

USTRUCT(BlueprintType)
struct FPerkRandomSuccessViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	float RandomSuccessDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	int32 RandomSuccessValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	EPerkRandomSuccessType RandomSuccessType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	EPerkRandomSuccessResult RandomSuccessResult;

public:
	DBDUIVIEWINTERFACES_API FPerkRandomSuccessViewData();
};

FORCEINLINE uint32 GetTypeHash(const FPerkRandomSuccessViewData) { return 0; }
